Legacy (2024-03-18)Merchants API
Webhooks Management
Authorization
apiKey x-api-key<token>
Your Chargeflow API key. Generate it in the Developer Hub under Settings.
In: header
Path Parameters
id*string
The Webhook id to delete
Response Body
application/json
curl -X DELETE "https://example.com/public/2024-03-18/webhooks/string"{ "success": true}Authorization
apiKey x-api-key<token>
Your Chargeflow API key. Generate it in the Developer Hub under Settings.
In: header
Response Body
application/json
curl -X GET "https://example.com/public/2024-03-18/webhooks"{ "success": true, "data": [ { "id": "string", "event": "webhook.test", "url": "string", "active": true, "version": "string" } ]}Authorization
apiKey x-api-key<token>
Your Chargeflow API key. Generate it in the Developer Hub under Settings.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/public/2024-03-18/webhooks" \ -H "Content-Type: application/json" \ -d '{ "event": "webhook.test", "url": "http://example.com" }'{ "success": true, "id": "string"}Was this page helpful?